Subject: Re: [PATCH] RDMA/cxgb4: Add default_llseek to debugfs files.

From: Steve Wise <[email-masked]>
Date: Wed, 29 Sep 2010 12:27:49 -0500

On 09/29/2010 12:19 PM, Roland Dreier wrote:
>   >  @@ -182,6 +182,7 @@ static const struct file_operations qp_debugfs_fops = {
>   >   	.open    = qp_open,
>   >   	.release = qp_release,
>   >   	.read    = debugfs_read,
>   >  +	.llseek  = default_llseek,
>   >   };
>
> I think this could actually be generic_file_llseek (right, Arnd?).
>
> Also could qp_read() and other read methods be simplified by using
> simple_read_from_buffer()?  I don't see anything fancy there, seems like
> the read methods could become one-liners that way.
>
>    

I assume you mean debugs_read()...Like this?

static ssize_t debugfs_read(struct file *file, char __user *buf, size_t 
count,
                             loff_t *ppos)
{
         struct c4iw_debugfs_data *d = file->private_data;

         return simple_read_from_buffer(buf, ppos, d->buf, d->pos);
}

Steve.
--
To unsubscribe from this list: send the line "unsubscribe linux-rdma" in
the body of a message to [email-masked]
More majordomo info at  http://vger.kernel.org/majordomo-info.html